<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Фабрика</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik7='1'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="fabrika.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_7 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"<a href='fabrika.php?make=1&der=$key'>Техника</a>[$re2[puh]][$re2[tan]][$re2[sam]]<br/>";
echo'------<br/><a href="../game.php?make=8&s=4&der='.$key.'">Построить Завод</a><br/>';
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT * FROM kmb WHERE strana ='$re1[strana]' and voin='4'"));
$u1=time();$u2=$sp[time]-$u1;
if($sp[data]>$u2){
$sec = $u2;
$min = floor($sec/60);$sec-=$min*60;
echo"{Идёт изготовление}(<b>$min м. $sec c.</b>)<br/>";
}else{
if(empty($_GET[k])){
echo"Свободная техника :<br/>";
if($re2[puh]>0){echo"Пушки ($re2[puh])<br/>";}
if($re2[tan]>0){echo"Танки ($re2[tan])<br/>";}
if($re2[sam]>0){echo"Самолёты ($re2[sam])<br/>";}
echo"<a href='fabrika.php?make=1&k=1&der=$key'>Изготовить пушки</a><br/><a href='fabrika.php?make=1&k=3&der=$key'>Разобрать</a><br/>";
}
if($_GET[k]==1){if($re0[izo]!=1){echo"<img src='../../izo/puha.png'>";}
echo"<FORM ACTION='fabrika.php?make=1&k=2&der=$key' METHOD='POST'>";?>
Сколько :<br/><input type="text" name="rab" maxlength="10" value="" size="10"/><br/>
Учёные:<br/><input type="text" name="bot" maxlength="10" value="<?=$re2[bot];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Изготовить'></FORM><br/><?
}
if($_GET[k]==2){
if($re0[izo]!=1){echo"<img src='../../izo/puha.png'>";}
$e1=zif($_POST[rab]);$e2=zif($_POST[bot]);
if($re2[bot]>=$e2){
$den=68;$met=18;$zer=6;$kam=34;$der=25;$nef=6;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;
$q4=$kam*$e1;$q5=$der*$e1;$q6=$nef*$e1;
if($re2[dengi]>=$q1 and $re2[metal]>=$q2 and $re2[zerno]>=$q3 and $re2[kamen]>=$q4 and $re2[derevo]>=$q5 and $re2[neft]>=$q6){
$ty=round(($e1*850)/$e2);$yt=round($ty/60);$tim1=time();$tim2=$tim1+$ty;
echo"Изготовление займёт $yt минут,<br/>Стоимость :Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Нефть ($q6),Зерно ($q3)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Изготовление займёт $yt минут (пушки)($e1)')");
qw("INSERT INTO kmb (strana,rab,voin,bot,data,time) VALUES('$re1[strana]','$e1','4','$e2','$ty','$tim2')");
qw("UPDATE gos2 SET bot=bot-'$e2',dengi=dengi-'$q1',metal=metal-'$q2',kamen=kamen-'$q4',derevo=derevo-'$q5',neft=neft-'$q6',zerno=zerno-'$q3' WHERE strana='$re1[strana]'");
}else{
echo"Не хватает ресурсов,нужно :<br/>Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Нефть ($q6),Зерно ($q3)<br/>";
}
}else{
echo"Нет столько учёных!<br/>";
}
}
if($_GET[k]==3){
if($re2[puh]>0 or $re2[tan]>0 or $re2[sam]>0){
echo"<FORM ACTION='fabrika.php?make=1&k=4&der=$key' METHOD='POST'>";?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Разобрать'></FORM><br/><?
}else{echo"Нет свободной техники<br/>";}
}
if($_GET[k]==4){
if($re2[puh]>0 or $re2[tan]>0 or $re2[sam]>0){
$puh=zif($_POST[puh]);$tan=zif($_POST[tan]);$sam=zif($_POST[sam]);
if($re2[puh]>=$puh and $re2[tan]>=$tan and $re2[sam]>=$sam){
$den=(34*$puh)+(38*$tan)+(42*$sam);$met=(9*$puh)+(12*$tan)+(18*$sam);$kam=(17*$puh)+(21*$tan)+(25*$sam);
$der=(13*$puh)+(18*$tan)+(24*$sam);$zer=(3*$puh)+(6*$tan)+(9*$sam);$nef=(6*$puh)+(8*$tan)+(10*$sam);
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if($x>$met){$x=$x-$met;}else{$met=$x;$x=0;}if($met<0){$met=0;}
if($x>$kam){$x=$x-$kam;}else{$kam=$x;$x=0;}if($kam<0){$kam=0;}
if($x>$der){$x=$x-$der;}else{$der=$x;$x=0;}if($der<0){$der=0;}
if($x>$zer){$x=$x-$zer;}else{$zer=$x;$x=0;}if($zer<0){$zer=0;}
if($x>$nef){$x=$x-$nef;}else{$nef=$x;$x=0;}if($nef<0){$nef=0;}
qw("UPDATE gos2 SET dengi=dengi+'$den',metal=metal+'$met',kamen=kamen+'$kam',derevo=derevo+'$der',neft=neft+'$nef',zerno=zerno+'$zer',
puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam' WHERE strana='$re1[strana]'");
echo"Техника разобрана,вы получили :<br/>Деньги($den),Железо ($met),Камень ($kam),Дерево ($der),Нефть ($nef),Зерно ($zer)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Техника разобрана,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),Нефть ($nef),зерно($zer)')");
}else{echo"Нет столько техники<br/>";}
}else{echo"Нет свободной техники<br/>";}
}

}
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_7 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='fabrika.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='fabrika.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='fabrika.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: fabrika.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_7 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: fabrika.php?make=oxp&der=$key");
}else{header("Location: fabrika.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='fabrika.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: fabrika.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_7 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: fabrika.php?make=oxp&der=$key");
}else{header("Location: fabrika.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>